List project revenue adjustments
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-revenue-adjustments \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-revenue-adjustments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-revenue-adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-revenue-adjustments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-revenue-adjustments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/project-revenue-adjustments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-revenue-adjustments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "2188c1e2-6b76-4075-bb0d-f356eb33f3bf",
"date": "2026-01-31",
"revenueType": "services",
"amount": 1500,
"notes": "Scope expansion credit",
"creditNoteId": null,
"createdAt": "2026-01-31T11:42:07.293Z",
"project": {
"id": "a59d7a04-1cbb-480c-9735-ea09bd05c0df",
"name": "Website Redesign",
"client": {
"id": "5ee67cac-f154-402d-ab6c-a5e0c89c55cd",
"name": "Acme Corporation"
}
}
},
{
"id": "7c029049-8420-4174-b5d4-e52b11ab7534",
"date": "2026-02-15",
"revenueType": "expenses",
"amount": -250.5,
"notes": "Credit Note",
"creditNoteId": "3f0e6c9b-4d2a-4b8e-9c1d-7a5e2b8f6d31",
"createdAt": "2026-02-15T09:18:22.451Z",
"project": {
"id": "a59d7a04-1cbb-480c-9735-ea09bd05c0df",
"name": "Website Redesign",
"client": {
"id": "5ee67cac-f154-402d-ab6c-a5e0c89c55cd",
"name": "Acme Corporation"
}
}
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}Project Revenue Adjustments
List project revenue adjustments
GET
/
project-revenue-adjustments
List project revenue adjustments
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-revenue-adjustments \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-revenue-adjustments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-revenue-adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-revenue-adjustments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-revenue-adjustments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/project-revenue-adjustments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-revenue-adjustments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "2188c1e2-6b76-4075-bb0d-f356eb33f3bf",
"date": "2026-01-31",
"revenueType": "services",
"amount": 1500,
"notes": "Scope expansion credit",
"creditNoteId": null,
"createdAt": "2026-01-31T11:42:07.293Z",
"project": {
"id": "a59d7a04-1cbb-480c-9735-ea09bd05c0df",
"name": "Website Redesign",
"client": {
"id": "5ee67cac-f154-402d-ab6c-a5e0c89c55cd",
"name": "Acme Corporation"
}
}
},
{
"id": "7c029049-8420-4174-b5d4-e52b11ab7534",
"date": "2026-02-15",
"revenueType": "expenses",
"amount": -250.5,
"notes": "Credit Note",
"creditNoteId": "3f0e6c9b-4d2a-4b8e-9c1d-7a5e2b8f6d31",
"createdAt": "2026-02-15T09:18:22.451Z",
"project": {
"id": "a59d7a04-1cbb-480c-9735-ea09bd05c0df",
"name": "Website Redesign",
"client": {
"id": "5ee67cac-f154-402d-ab6c-a5e0c89c55cd",
"name": "Acme Corporation"
}
}
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}Manual positive or negative adjustments to a project’s earned revenue. They affect earned revenue only and never change invoiced revenue. Available on billable projects.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
A project ID (uuid) used to filter objects for a specific project.